Get RecordSets

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
GET /dataflows/{dataflowId}/recordsets

Get RecordSets for the given dataflowId

Path parameters

  • dataflowId string Required

    id of the Dataflow

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • _id string

      id of the RecordSet

    • recordSetName string

      name of the RecordSet

    • owningEntity string

      Owner of the RecordSet

    • owningCollection string

      Collection of the RecordSet

    • description string

      Description of the RecordSet

    • dataflowId string

      DataflowId for the RecordSet

    • version string

      Version of RecordSet

GET /dataflows/{dataflowId}/recordsets
curl \
 --request GET 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "_id": "56f22f5651e8009d94e23f86",
    "recordSetName": "df10",
    "owningEntity": "user_5000",
    "owningCollection": "56f22f5651e8009d94e23f84_df10",
    "description": "",
    "dataflowId": "56f22f5651e8009d94e23f84",
    "version": "2.0"
  }
]